org.apache.ignite.internal.processors.cache.transactions

## Class PartitionCountersNeighborcastFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
    - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>
      - - org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture<Void>
        - - org.apache.ignite.internal.processors.cache.transactions.PartitionCountersNeighborcastFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<Void>, GridCacheFuture<Void>, IgniteInClosure<IgniteInternalFuture<Void>>

    public class PartitionCountersNeighborcastFuture
    extends GridCacheCompoundIdentityFuture<Void>

Represents partition update counters delivery to remote nodes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PartitionCountersNeighborcastFuture(IgniteInternalTx tx, GridCacheSharedContext<?,?> cctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUuid` `futureId()`
`void` `init()` Starts processing.
`void` `markNotTrackable()` Marks this future as non-trackable.
`boolean` `onDone(@Nullable Void res, @Nullable Throwable err)` Callback to notify that future is finished.
`boolean` `onNodeLeft(UUID nodeId)` Callback for when node left.
`void` `onResult(UUID nodeId)` Processes a response from a remote peer.
`String` `toString()`
`boolean` `trackable()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture

`duration, onDone, startTime`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, logDebug, logError, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### PartitionCountersNeighborcastFuture

    public PartitionCountersNeighborcastFuture(IgniteInternalTx tx,
                                               GridCacheSharedContext<?,?> cctx)

### Method Detail

#### init

    public void init()

Starts processing.

#### onDone

    public boolean onDone(@Nullable
                          @Nullable Void res,
                          @Nullable
                          @Nullable Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Overrides:
  `onDone` in class `GridFutureAdapter<Void>`
Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.

#### onResult

    public void onResult(UUID nodeId)

Processes a response from a remote peer. Completes a mini future for that peer.

Parameters:
  `nodeId` - Remote peer node id.

#### onNodeLeft

    public boolean onNodeLeft(UUID nodeId)

Callback for when node left.

Parameters:
  `nodeId` - Left node ID.
Returns:
  `True` if future cared about this node.

#### futureId

    public IgniteUuid futureId()

Returns:
  Unique identifier for this future.

#### trackable

    public boolean trackable()

Returns:
  `True` if future should be tracked.

#### markNotTrackable

    public void markNotTrackable()

Marks this future as non-trackable.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCompoundIdentityFuture<Void>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021